org.apache.kylin.jdbc

## Class KylinJdbcFactory

- java.lang.Object
- - org.apache.kylin.jdbc.KylinJdbcFactory

All Implemented Interfaces:
  org.apache.calcite.avatica.AvaticaFactory

Direct Known Subclasses:
  KylinJdbcFactory.Version40, KylinJdbcFactory.Version41

    public class KylinJdbcFactory
    extends Object
    implements org.apache.calcite.avatica.AvaticaFactory

Kylin JDBC factory.

### Nested Class Summary

Nested Classes
`static class` `KylinJdbcFactory.Version40`
`static class` `KylinJdbcFactory.Version41`

### Constructor Summary

Constructors
`protected` `KylinJdbcFactory(int major, int minor)` Creates a JDBC factory with given major/minor version number.

### Method Summary

Methods
`int` `getJdbcMajorVersion()`
`int` `getJdbcMinorVersion()`
`org.apache.calcite.avatica.AvaticaConnection` `newConnection(org.apache.calcite.avatica.UnregisteredDriver driver, org.apache.calcite.avatica.AvaticaFactory factory, String url, Properties info)`
`org.apache.calcite.avatica.AvaticaDatabaseMetaData` `newDatabaseMetaData(org.apache.calcite.avatica.AvaticaConnection connection)`
`org.apache.calcite.avatica.AvaticaPreparedStatement` `newPreparedStatement(org.apache.calcite.avatica.AvaticaConnection connection, org.apache.calcite.avatica.Meta.StatementHandle h, org.apache.calcite.avatica.Meta.Signature signature, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
`IRemoteClient` `newRemoteClient(KylinConnection conn)`
`org.apache.calcite.avatica.AvaticaResultSet` `newResultSet(org.apache.calcite.avatica.AvaticaStatement statement, org.apache.calcite.avatica.Meta.Signature signature, TimeZone timeZone, org.apache.calcite.avatica.Meta.Frame firstFrame)`
`ResultSetMetaData` `newResultSetMetaData(org.apache.calcite.avatica.AvaticaStatement statement, org.apache.calcite.avatica.Meta.Signature signature)`
`org.apache.calcite.avatica.AvaticaStatement` `newStatement(org.apache.calcite.avatica.AvaticaConnection connection, org.apache.calcite.avatica.Meta.StatementHandle h, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinJdbcFactory

    protected KylinJdbcFactory(int major,
                    int minor)

Creates a JDBC factory with given major/minor version number.

### Method Detail

#### getJdbcMajorVersion

    public int getJdbcMajorVersion()

Specified by:
  `getJdbcMajorVersion` in interface `org.apache.calcite.avatica.AvaticaFactory`

#### getJdbcMinorVersion

    public int getJdbcMinorVersion()

Specified by:
  `getJdbcMinorVersion` in interface `org.apache.calcite.avatica.AvaticaFactory`

#### newConnection

    public org.apache.calcite.avatica.AvaticaConnection newConnection(org.apache.calcite.avatica.UnregisteredDriver driver,
                                                             org.apache.calcite.avatica.AvaticaFactory factory,
                                                             String url,
                                                             Properties info)
                                                               throws SQLException

Specified by:
  `newConnection` in interface `org.apache.calcite.avatica.AvaticaFactory`
Throws:
  `SQLException`

#### newDatabaseMetaData

    public org.apache.calcite.avatica.AvaticaDatabaseMetaData newDatabaseMetaData(org.apache.calcite.avatica.AvaticaConnection connection)

Specified by:
  `newDatabaseMetaData` in interface `org.apache.calcite.avatica.AvaticaFactory`

#### newStatement

    public org.apache.calcite.avatica.AvaticaStatement newStatement(org.apache.calcite.avatica.AvaticaConnection connection,
                                                           org.apache.calcite.avatica.Meta.StatementHandle h,
                                                           int resultSetType,
                                                           int resultSetConcurrency,
                                                           int resultSetHoldability)
                                                             throws SQLException

Specified by:
  `newStatement` in interface `org.apache.calcite.avatica.AvaticaFactory`
Throws:
  `SQLException`

#### newPreparedStatement

    public org.apache.calcite.avatica.AvaticaPreparedStatement newPreparedStatement(org.apache.calcite.avatica.AvaticaConnection connection,
                                                                           org.apache.calcite.avatica.Meta.StatementHandle h,
                                                                           org.apache.calcite.avatica.Meta.Signature signature,
                                                                           int resultSetType,
                                                                           int resultSetConcurrency,
                                                                           int resultSetHoldability)
                                                                             throws SQLException

Specified by:
  `newPreparedStatement` in interface `org.apache.calcite.avatica.AvaticaFactory`
Throws:
  `SQLException`

#### newResultSet

    public org.apache.calcite.avatica.AvaticaResultSet newResultSet(org.apache.calcite.avatica.AvaticaStatement statement,
                                                           org.apache.calcite.avatica.Meta.Signature signature,
                                                           TimeZone timeZone,
                                                           org.apache.calcite.avatica.Meta.Frame firstFrame)
                                                             throws SQLException

Specified by:
  `newResultSet` in interface `org.apache.calcite.avatica.AvaticaFactory`
Throws:
  `SQLException`

#### newResultSetMetaData

    public ResultSetMetaData newResultSetMetaData(org.apache.calcite.avatica.AvaticaStatement statement,
                                         org.apache.calcite.avatica.Meta.Signature signature)
                                           throws SQLException

Specified by:
  `newResultSetMetaData` in interface `org.apache.calcite.avatica.AvaticaFactory`
Throws:
  `SQLException`

#### newRemoteClient

    public IRemoteClient newRemoteClient(KylinConnection conn)